| API Documentation |  |

- MAIN PAGE
- NAMESPACES
- CLASSES

Static Public Member Functions | List of all members
nkAstraeus::nkGraphicsWrap::FrustumWrapper Class Referencefinal

Wraps a nkGraphics::Frustum and offers functions for use in scripting. More...

## Static Public Member Functions
static void | updateEnvironment (nkScripts::Environment *env)
static nkScripts::OutputValue | copy (const nkScripts::DataStack &stack)
static nkScripts::OutputValue | getPlane (const nkScripts::DataStack &stack)
static nkScripts::OutputValue | eq (const nkScripts::DataStack &stack)

## Detailed Description

Wraps a nkGraphics::Frustum and offers functions for use in scripting.

## Member Function Documentation

## ◆ updateEnvironment()

static void nkAstraeus::nkGraphicsWrap::FrustumWrapper::updateEnvironment | ( | nkScripts::Environment * | env | ) |
| static

Updates a given environment and set it up to use all functions wrapped by this wrapper.

Parameters

  env | The environment to set up.

## ◆ copy()

static nkScripts::OutputValue nkAstraeus::nkGraphicsWrap::FrustumWrapper::copy | ( | const nkScripts::DataStack & | stack | ) |
| static

Utility function to copy a frustum to another.

local c = f:copy() ;

Parameters

  stack | The parameter stack.

Returns
  The output value, as a nkGraphics::Frustum.

## ◆ getPlane()

static nkScripts::OutputValue nkAstraeus::nkGraphicsWrap::FrustumWrapper::getPlane | ( | const nkScripts::DataStack & | stack | ) |
| static

Wrapper function for nkGraphics::Frustum::getPlane().

local c = f:getPlane(0) ;

Parameters

  stack | The parameter stack.

Returns
  The output value, as a nkGraphics::Vector.

## ◆ eq()

static nkScripts::OutputValue nkAstraeus::nkGraphicsWrap::FrustumWrapper::eq | ( | const nkScripts::DataStack & | stack | ) |
| static

Overrides the default equality operation for the user type.

local v = p == t ;

Parameters

  stack | The parameter stack.

Returns
  The output value, as a bool.

The documentation for this class was generated from the following file:

- Documentation/Headers/NilkinsAstraeus/Scripts/nkGraphicsWrap/Cameras/FrustumWrapper.h